# Don't put duplicate lines or lines starting with space in the history.
HISTCONTROL=ignoreboth 

# Prefer vim, but if it's not installed, nano will do
if which vim 1>&- 2>&- ; then
       	export EDITOR=vim
else
	export EDITOR=nano
fi

# Some programs, such as tee(1), like to use this variable
export LS_COLORS='di=34;40:ln=35;40:so=32;40:pi=33;40:ex=31;40:bd=34;46:cd=34;43:su=0;41:sg=0;46:tw=0;42:ow=0;43:'

# Enable user extensions for password store
export PASSWORD_STORE_ENABLE_EXTENSIONS="true"

# Set default libvirt connection URI
export LIBVIRT_DEFAULT_URI="qemu:///system"
